org.eclipse.oomph.setup.editor

## Class ProjectTemplate

- java.lang.Object
- - org.eclipse.oomph.setup.editor.ProjectTemplate

-     public abstract class ProjectTemplate
      extends Object

  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `ProjectTemplate.Container`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PRODUCT_GROUP`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ProjectTemplate(String label)`
    `protected` | `ProjectTemplate(String label, String description)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Control` | `createControl(Composite parent)`
    `ProjectTemplate.Container` | `getContainer()`
    `org.eclipse.oomph.setup.ui.LabelDecorator` | `getDecorator()`
    `String` | `getDescription()`
    `String` | `getLabel()`
    `Resource` | `getResource()`
    `protected void` | `init()`
    `void` | `init(ProjectTemplate.Container container)`
    `abstract boolean` | `isValid()`
    `String` | `toString()`
    `void` | `updatePreview()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PRODUCT_GROUP

          public static final String PRODUCT_GROUP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ProjectTemplate

          protected ProjectTemplate(String label)

    - #### ProjectTemplate

          protected ProjectTemplate(String label,
                         String description)

  - ### Method Detail

    - #### createControl

          public abstract Control createControl(Composite parent)

    - #### isValid

          public abstract boolean isValid()

    - #### init

          protected void init()

    - #### updatePreview

          public void updatePreview()

    - #### getDecorator

          public org.eclipse.oomph.setup.ui.LabelDecorator getDecorator()

    - #### getLabel

          public final String getLabel()

    - #### getDescription

          public final String getDescription()

    - #### getResource

          public final Resource getResource()

    - #### getContainer

          public final ProjectTemplate.Container getContainer()

    - #### init

          public final void init(ProjectTemplate.Container container)

    - #### toString

          public final String toString()

      Overrides:
        `toString` in class `Object`

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html